<?php

namespace App\Http\Controllers;

use App\Models\Education;
use App\Models\Individual;
use App\Models\Organisation;
use App\Models\PostData;
use App\Models\WorkingExperience;
use App\Models\diploma_education;
use App\Models\profile_image_change_record;
use App\Models\profile_images;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\URL;


class WebcamAndScreenSharing extends Controller
{


function uploadScreenSharingVideo(){

    $videoNmae=$_POST['videoCount'];
    $videoName=$videoNmae.'.webm';
    $videoPath='examvideo//screen//'. $videoName;
    
    move_uploaded_file($_FILES['video']['tmp_name'], $videoPath);
    
    

    
}

function uploadCamVideoToServer(){
    $videoNmae=$_POST['videoCountWeb'];
    $videoName=$videoNmae.'.webm';
    $videoPath='examvideo//cam//'. $videoName;
    
    move_uploaded_file($_FILES['video']['tmp_name'], $videoPath);
}



function uploadScreenCaptureVideoCallPageCaller(Request $request){
    $videoNmae =$request->videoCount;

    $videoName=$videoNmae.'.webm';
    $videoPath='videocallrecording//caller//'. $videoName;
    
    move_uploaded_file($_FILES['video']['tmp_name'], $videoPath);
}



function uploadScreenCaptureVideoCallPageCalling(Request $request){
   
    $videoNmae= $request->videoCount;
    $videoName=$videoNmae.'.webm';
    $videoPath='videocallrecording//calling//'. $videoName;
    
    move_uploaded_file($_FILES['video']['tmp_name'], $videoPath);
}












}


?>